部分更新

​

勤務パターンを部分更新します。

必要なスコープ: schedule_patterns.write

Path Parameters

  • リソース ID(UUID)

Headers

  • 同じ書き込みを安全に再試行するための一意なキーです。同じキーと同じ入力には同じ結果を返します。

Body·

required
application/json
  • Integer numbers.

  • Properties: 2
  • Properties: 1

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for patch/schedule-patterns/{id}
curl https://api.shiftoru.jp/schedule-patterns/string \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "string",
  "display_name": "string",
  "code": "string",
  "start_time": "09:00",
  "end_time": "18:00",
  "type": "work",
  "break_mode": "duration",
  "break_duration_minutes": null,
  "break_ranges": [
    {
      "start_time": "string",
      "end_time": "string"
    }
  ],
  "pre_overtime_allowed": true,
  "pre_overtime_break": {
    "rules": [
      {
        "thresholdMinutes": 0,
        "breakDurationMinutes": null,
        "breakRanges": [
          {
            "startTime": "",
            "endTime": ""
          }
        ]
      }
    ]
  },
  "post_overtime_allowed": true,
  "post_overtime_break": {
    "rules": [
      {
        "thresholdMinutes": 0,
        "breakDurationMinutes": null,
        "breakRanges": [
          {
            "startTime": "",
            "endTime": ""
          }
        ]
      }
    ]
  },
  "team_scope": "all",
  "team_ids": [
    "string"
  ],
  "is_active": true,
  "color_key": null
}'
{
  "id": "string",
  "team_scope": "specific",
  "team_ids": [
    "string"
  ],
  "name": "string",
  "code": "string",
  "display_name": "string",
  "start_time": "string",
  "end_time": "string",
  "type": "work",
  "break_mode": "duration",
  "break_duration_minutes": 0,
  "break_ranges": null,
  "pre_overtime_allowed": true,
  "pre_overtime_break": null,
  "post_overtime_allowed": true,
  "post_overtime_break": null,
  "color_key": "string",
  "is_active": true,
  "schedule_request_available": true,
  "schedule_request_per_audience_limits_enabled": true,
  "schedule_request_audiences": {},
  "created_at": "2026-09-11T06:22:32.993Z",
  "updated_at": "2026-09-11T06:22:32.993Z"
}